← Misimamo
Futa

Scotland

Caledonia North Region League Division 2

#TimuPWDLPDBPPtsMwenendo
1Aberdeenshire RFC7700+333735WWWWW
2Shetland RFC6402+76420WWLL
3Highland 3rd XV5302+3517WLWLW
4North Police Scotland6303+31416LLWWL
5Garioch RFC5302+29214LLWWW
6Banff RFC5203+6027LWLWL
7Stornoway RFC7106-12730LLWLL
8Aberdeen Grammar Rugby 2nd XV5005-40510LLLL

Chanzo: Scottish Rugby · imekaguliwa 18 Okt, 16:20 · Mwenendo: matokeo matano ya mwisho tuliyonayo, ya karibuni kulia.

Mechi na matokeo →

Kila jedwali ni msimamo uliochapishwa na ligi yenyewe, pamoja na pointi za bonasi, makato na kanuni za kuamua sare. BP huonyeshwa pale ligi inapoichapisha; vinginevyo tayari imo ndani ya Pts.